import { ApiEditorComponentFeatures } from "../_models/features.model";
/**
 * A service providing document related functionality, including the ability to
 * easily access the current document being edited and document related notifications
 * such as when it is changed.
 */
export declare class FeaturesService {
    private features;
    constructor();
    setFeatures(features: ApiEditorComponentFeatures): void;
    getFeatures(): ApiEditorComponentFeatures;
}
